#include <bits/stdc++.h>

using namespace std;

int main()
{
    std::ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int n;
    cin >> n;
    vector<int> a(n);
    vector<int> b(n);
    for(int i = 0; i < n/2; i++){
        a[i] = i+1;
        a[n-1-i] = 2*n-i;
    }
    int k = 0;
    for(int i = n/2+1; i <= 3*n/2; i++){
        b[k] = i;
        k++;
    }
    vector<int> a1(0);
    vector<int> b1(0);
    int i = 0;
    while(i < n/2){
        a1.push_back(a[i]);
        a1.push_back(a[n-1-i]);
        i++;
    }
    int j = 0;
    while(j < n/2){
        b1.push_back(b[j]);
        b1.push_back(b[n-1-j]);
        j++;
    }
    for(int x : a1){
        cout << x << " ";
    }
    cout << endl;
    for(int x : b1){
        cout << x << " ";
    }
}